\begin{figure}[htbp]
	\centering
	\begin{tikzpicture}
		\begin{axis}[
			xmode=log,
			log basis x={2},
			log ticks with fixed point,
			%
			speedup,
		]
		
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}] {../../resultados/matrix_multiplication_benchmarks/all2all_cache_results/matrix_multiplication_ijk.csv};
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}] {../../resultados/matrix_multiplication_benchmarks/all2all_memory_results/matrix_multiplication_ijk.csv};
		
		
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}] {../../resultados/matrix_multiplication_benchmarks/all2all_cache_results/matrix_multiplication_ikj.csv};
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}] {../../resultados/matrix_multiplication_benchmarks/all2all_memory_results/matrix_multiplication_ikj.csv};
		
		
		
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}] {../../resultados/matrix_multiplication_benchmarks/all2all_cache_results/matrix_multiplication_jki.csv};
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}] {../../resultados/matrix_multiplication_benchmarks/all2all_memory_results/matrix_multiplication_jki.csv};
	
		\legend{
			$ijk$--caché,
			$ijk$--\textit{flat},
			$ikj$--caché,
			$ikj$--\textit{flat},
			$jki$--caché,
			$jki$--\textit{flat}
		}
		\end{axis}
	\end{tikzpicture}
	\caption{Variación en el \textit{speedup} según el número de \textit{threads} con la configuración \textit{all-to-all} y orden de las matrices $n=4000$.}
	\label{fig:all2all-speedup-4000}
\end{figure}